IF OBJECT_ID('dbo.vw_fco_proc_reportes_ala') IS NOT NULL
    DROP VIEW dbo.vw_fco_proc_reportes_ala
GO
CREATE VIEW dbo.vw_fco_proc_reportes_ala
AS
SELECT p.compania, p.procesar, p.codigo, r.nombre, p.anio, p.mes,  
       p.EPS_FPO, p.sucursal, p.secuencia, v.descripcion  
FROM  fco_proc_reportes_ala p, fco_reportes_ala r, vw_fco_administradoras v  
WHERE p.codigo = r.codigo and p.EPS_FPO = v.codigo And r.maneja_EPS = '1' And v.tipo='EPS' AND p.compania = v.compania
UNION  
SELECT p.compania, p.procesar, p.codigo, r.nombre, p.anio, p.mes,  
       p.EPS_FPO, p.sucursal, p.secuencia, v.descripcion  
FROM  fco_proc_reportes_ala p, fco_reportes_ala r, vw_fco_administradoras v  
WHERE p.codigo = r.codigo and p.EPS_FPO = v.codigo And r.maneja_FPO = '1' And v.tipo='AFP' AND p.compania = v.compania
UNION  
SELECT p.compania, p.procesar, p.codigo, r.nombre, p.anio, p.mes,  
       p.EPS_FPO, p.sucursal, p.secuencia, 'INSTITUTO DE SEGUROS SOCIALES'
FROM  fco_proc_reportes_ala p, fco_reportes_ala r
WHERE p.codigo = r.codigo and r.maneja_ISS = '1'
UNION  
SELECT p.compania, p.procesar, p.codigo, r.nombre, p.anio, p.mes,  
       p.EPS_FPO, p.sucursal, p.secuencia, v.nombre_ARP  
FROM  fco_proc_reportes_ala p, fco_reportes_ala r, vw_fco_companias v  
WHERE p.codigo = r.codigo and   
      p.compania = v.compania And r.maneja_ARP = '1'  
GO
GRANT SELECT ON vw_fco_proc_reportes_ala TO PUBLIC
GO

